Subject: bug#67654: 29.1; Hiding menu bar makes new frames very small

From: Po Lu <[email-masked]>
Date: Mon, 11 Dec 2023 20:38:59 +0800

Eli Zaretskii <[email-masked]> writes:

> Sounds like some GTK setting gets in the way and changes the
> dimensions?
>
> If the OP wanted to look deeper into this problem, would it be
> possible to provide instructions where to look and which variables or
> events to examine?

I'm not certain.  I would suggest downgrading GTK in increments, and
searching through its ChangeLog for each release between the first to
function correctly and the one installed for possibly related changes.

Since we've never received these reports before roughly the release of
Emacs 29.1, there shouldn't be too many versions to work through.  It's
allegedly in "maintainence mode" after all.